Redmine - Feature #3933

Add docbook export to wiki
2009-09-27 17:06 - Ulrich Staudinger

Status: Closed Start date: 2009-09-27
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version:

Resolution: Wont fix

Description

Hi,

i'd love to export docbook straight from the wiki, then i could create a docbook ref file somewhere and include via url some selected
wiki pages in my wiki.

Thanks !

History

#1 - 2010-11-17 10:32 - John Yani

Any news on this? Maybe plagin is available?

#2 - 2012-01-13 19:59 - Etienne Massip
- Category set to Wiki

#3 - 2013-10-05 16:02 - Hans Artmann

There is a gem redcloth-formatters-docbook which can do some basic conversion from textile to docbook.
Safe the TODO's which are easy enough to add conversion works quite nice.
So | thought | share this little program and maybe someone can integrate something in Redmine.

# Convert textile formatted files to docbook
#

require 'optparse'
require 'fileutils'
require 'rubygems'
require 'RedCloth'
require 'redcloth-formatters-docbook'

revision = "0.9 - 2012-08-29"

# CHANGELOG
# 0.9 initial version

# Program options
@options = {}

optparse = OptionParser.new do|opts|
# Set a banner, displayed at the top
# of the help screen.
opts.banner = "Usage: tex2doc.rb [optionen] datei ..."

# Define the options, and what they do

opts.on( '-v', '—-version', 'Print version' ) do
puts "tex2doc " + revision
end

# This displays the help screen, all programs are
# assumed to have this option.
opts.on( '-h', '--help', 'This message' ) do
puts opts
exit
end
end
Parse the command-line. Remember there are two forms

of the parse method. The 'parse' method simply parses
ARGV, while the 'parse!' method parses ARGV and removes
any options found there, as well as any parameters for
the options. What's left is the list of files to resize.
optparse.parse!

HH H = I

puts "Tex2Doc Version #{revision}, Help: -h, --help" unless ARGV.size > 0
# TODO replace <pre> by <programlisting>

# TODO search empty table cells ||, fill with a single blank should do

# TODO escape <, >, &

ARGV.each do |file]|

textile = File.open(file, 'rb') { |£f| f.read }
docbook = RedCloth.new(textile) .to_docbook
File.open(file + '.xml', "w") { |f| f.write docbook }
end
</pre>

#4 - 2024-01-28 06:01 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Wont fix

| think this feature is too specific to be a standard feature of Redmine.
| recommend you to use Pandoc or some other tool.
https://pandoc.org/
http://www.tcpdf.org

